com.informix.asf

## Class IfxDebugDataOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - com.informix.asf.IfxDataOutputStream
      - - com.informix.asf.IfxDebugDataOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class IfxDebugDataOutputStream
    extends IfxDataOutputStream

### Field Summary

### Fields inherited from class com.informix.asf.IfxDataOutputStream

`written`

### Fields inherited from class java.io.FilterOutputStream

`out`

### Constructor Summary

Constructors
Constructor and Description
`IfxDebugDataOutputStream(java.io.OutputStream s)`
`IfxDebugDataOutputStream(java.io.OutputStream s, boolean encoption)`

### Method Summary

Methods
`protected void` `checkPadding()`
`protected void` `clearTrace()`
`protected void` `dumpTrace(java.io.OutputStream out)`
`protected int` `getTraceLength()`
`protected void` `resetTrace()`
`void` `write(byte[] b, int offset, int length)` writes a byte array to the outputstream.
`void` `write(int i)` writes a byte to the outputstream.
`void` `writePadded(byte[] b, int offset, int length)` writes a byte array to the outputstream.
`void` `writeWithMangledTrace(byte[] b)` In this class , the implementation is same as Same as write (byte b []) method.
`void` `writeWithMangledTrace(byte[] b, int offset, int length)`

### Methods inherited from class com.informix.asf.IfxDataOutputStream

`flush, getBytesSentSinceLastEOT, getJavaToIfx4BytesChar, getJavaToIfx4BytesChar, getJavaToIfxChar, getJavaToIfxChar, setByteCntAtEOT, write, writeByte, writeBytes, writeBytesConstant, writeChar, writeDate, writeDateTime, writeDecimal, writeDouble, writeInt, writeInterval, writeInterval, writeLong, writeLongBigint, writeLongInt, writePadded, writeReal, writeShort, writeShort, writeSmallInt, writeWithoutTrace`

### Methods inherited from class java.io.FilterOutputStream

`close`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxDebugDataOutputStream

    public IfxDebugDataOutputStream(java.io.OutputStream s)

Parameters:
  `s` -

#### IfxDebugDataOutputStream

    public IfxDebugDataOutputStream(java.io.OutputStream s,
                            boolean encoption)

Parameters:
  `s` -
  `encoption` -

### Method Detail

#### writePadded

    public void writePadded(byte[] b,
                   int offset,
                   int length)
                     throws java.io.IOException

Description copied from class: `IfxDataOutputStream`
writes a byte array to the outputstream. Writes pad byte if needed.

Overrides:
  `writePadded` in class `IfxDataOutputStream`
Parameters:
  `b` - the byte array to write to the outputstream.
  `offset` - the offset of the data.
  `length` - the maximum number of bytes to write to the outputstream.
Throws:
  `java.io.IOException` - In case an I/O error occurs.

#### write

    public void write(int i)
               throws java.io.IOException

Description copied from class: `IfxDataOutputStream`
writes a byte to the outputstream.

Overrides:
  `write` in class `IfxDataOutputStream`
Parameters:
  `i` - the byte to write to the outputstream.
Throws:
  `java.io.IOException` - In case an I/O error occurs.

#### write

    public void write(byte[] b,
             int offset,
             int length)
               throws java.io.IOException

Description copied from class: `IfxDataOutputStream`
writes a byte array to the outputstream.

Overrides:
  `write` in class `IfxDataOutputStream`
Parameters:
  `b` - the byte array to write to the outputstream.
  `offset` - the offset of the data.
  `length` - the maximum number of bytes to write to the outputstream.
Throws:
  `java.io.IOException` - In case an I/O error occurs.

#### writeWithMangledTrace

    public void writeWithMangledTrace(byte[] b)
                               throws java.io.IOException

In this class , the implementation is same as Same as write (byte b []) method. Used to write bytes which we don't want to log in trace file. such as password bytes. See implementation of this method in IfxDebugDataOutputStream which mangles bytes before writing to trace file.

Overrides:
  `writeWithMangledTrace` in class `IfxDataOutputStream`
Parameters:
  `b` -
Throws:
  `java.io.IOException`

#### writeWithMangledTrace

    public void writeWithMangledTrace(byte[] b,
                             int offset,
                             int length)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

#### checkPadding

    protected void checkPadding()

#### clearTrace

    protected void clearTrace()

Overrides:
  `clearTrace` in class `IfxDataOutputStream`

#### dumpTrace

    protected void dumpTrace(java.io.OutputStream out)

#### getTraceLength

    protected int getTraceLength()

#### resetTrace

    protected void resetTrace()